%define backend local_users
%define _altdata_dir %_datadir/alterator
%define _altlib_dir %_libdir/alterator

Name: acc
Version: 2.2
Release: alt2.2

Source:alterator-%name-%version.tar.bz2

Summary: ALT Linux Control Center
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 1.99-alt47, consolehelper, design-graphics

BuildArch: noarch

# Automatically added by buildreq on Mon Jun 20 2005 (-bi)
BuildRequires: consolehelper libpam-devel alterator

%description
ALT Linux Control Center

%prep
%setup -q -n alterator-%name-%version

%install
%makeinstall DESTDIR=%buildroot
%find_lang alterator-%name

%__install -Dpm644 %name.menu %buildroot/%_menudir/%name

#install consolehelper
obj=acc
%__install -d %buildroot/%_bindir
%__ln_s %_libdir/helper/consolehelper %buildroot%_bindir/$obj
%__install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

%__install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF

%post
%update_menus
%postun
%clean_menus

%files -f alterator-%name.lang
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/*
%_sbindir/*
%_altdata_dir/maps/*
%_altdata_dir/layouts/*
%_altdata_dir/ui/*/
%_menudir/*

%changelog
* Mon Sep 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt2.2
- apply patch from lazy zerg ;)

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt2
- use generic make templates

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt1
- update layout for latest alterator

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt5
- updates

* Tue Jul 19 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt4
- adaptations to new alterator api

* Mon Jul 18 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt3
- made window larger

* Tue Jul 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt2
- improvements

* Fri Jul 08 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt1
- adopted to new wizard engine

* Tue Jun 28 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt2
- fixed layout

* Thu Jun 23 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt1
- acc in separate module now

